import bcrypt

# ---- Hashing eines Passworts:

passwd=b'topsecret'      # hinter b der Klartext vom Passwort
salt = bcrypt.gensalt()  # generiert "Salz" dazu (mehr Hashingstellen)
hashed = bcrypt.hashpw(passwd, salt)  # generiert Hash-Code

print("Salt =", salt)
print("Hashed = ", hashed)

# ----  Vergleich, ob ein geratenes Passwort das richtige ist:

geraten = b'topsecret'  # Alternativ Eingabe über Konsole
#geraten = b'falsch'

if bcrypt.checkpw(geraten,hashed):
    print("heureka")
else:
    print("mist")
